<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: alexaClientSDK::acl::MessageRequestHandler Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1acl.html">acl</a></li><li class="navelem"><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1_message_request_handler.html">MessageRequestHandler</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-static-methods">Static Public Member Functions</a> &#124;
<a href="classalexa_client_s_d_k_1_1acl_1_1_message_request_handler-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">alexaClientSDK::acl::MessageRequestHandler Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="_message_request_handler_8h_source.html">MessageRequestHandler.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for alexaClientSDK::acl::MessageRequestHandler:</div>
<div class="dyncontent">
<div class="center"><img src="classalexa_client_s_d_k_1_1acl_1_1_message_request_handler__inherit__graph.png" border="0" usemap="#alexa_client_s_d_k_1_1acl_1_1_message_request_handler_inherit__map" alt="Inheritance graph"/></div>
<map name="alexa_client_s_d_k_1_1acl_1_1_message_request_handler_inherit__map" id="alexa_client_s_d_k_1_1acl_1_1_message_request_handler_inherit__map">
<area shape="rect" id="node2" href="classalexa_client_s_d_k_1_1acl_1_1_exchange_handler.html" title="alexaClientSDK::acl\l::ExchangeHandler" alt="" coords="46,5,186,44"/>
<area shape="rect" id="node3" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_h_t_t_p2_mime_request_source_interface.html" title="alexaClientSDK::avsCommon\l::utils::http2::HTTP2MimeRequest\lSourceInterface" alt="" coords="5,68,227,120"/>
<area shape="rect" id="node4" href="classalexa_client_s_d_k_1_1acl_1_1_mime_response_status_handler_interface.html" title="alexaClientSDK::acl\l::MimeResponseStatusHandler\lInterface" alt="" coords="13,144,219,196"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<div class="dynheader">
Collaboration diagram for alexaClientSDK::acl::MessageRequestHandler:</div>
<div class="dyncontent">
<div class="center"><img src="classalexa_client_s_d_k_1_1acl_1_1_message_request_handler__coll__graph.png" border="0" usemap="#alexa_client_s_d_k_1_1acl_1_1_message_request_handler_coll__map" alt="Collaboration graph"/></div>
<map name="alexa_client_s_d_k_1_1acl_1_1_message_request_handler_coll__map" id="alexa_client_s_d_k_1_1acl_1_1_message_request_handler_coll__map">
<area shape="rect" id="node2" href="classalexa_client_s_d_k_1_1acl_1_1_exchange_handler.html" title="alexaClientSDK::acl\l::ExchangeHandler" alt="" coords="46,5,186,44"/>
<area shape="rect" id="node3" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_h_t_t_p2_mime_request_source_interface.html" title="alexaClientSDK::avsCommon\l::utils::http2::HTTP2MimeRequest\lSourceInterface" alt="" coords="5,68,227,120"/>
<area shape="rect" id="node4" href="classalexa_client_s_d_k_1_1acl_1_1_mime_response_status_handler_interface.html" title="alexaClientSDK::acl\l::MimeResponseStatusHandler\lInterface" alt="" coords="13,144,219,196"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a2b17700f8c51fe82baeb7076e292c49c"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1_message_request_handler.html#a2b17700f8c51fe82baeb7076e292c49c">~MessageRequestHandler</a> () override</td></tr>
<tr class="separator:a2b17700f8c51fe82baeb7076e292c49c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classalexa_client_s_d_k_1_1acl_1_1_exchange_handler"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classalexa_client_s_d_k_1_1acl_1_1_exchange_handler')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classalexa_client_s_d_k_1_1acl_1_1_exchange_handler.html">alexaClientSDK::acl::ExchangeHandler</a></td></tr>
<tr class="memitem:a0bde5d7f73fc7ff8951f87b02c402b34 inherit pub_methods_classalexa_client_s_d_k_1_1acl_1_1_exchange_handler"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1_exchange_handler.html#a0bde5d7f73fc7ff8951f87b02c402b34">ExchangeHandler</a> (std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1acl_1_1_exchange_handler_context_interface.html">ExchangeHandlerContextInterface</a> &gt; context, const std::string &amp;authToken)</td></tr>
<tr class="separator:a0bde5d7f73fc7ff8951f87b02c402b34 inherit pub_methods_classalexa_client_s_d_k_1_1acl_1_1_exchange_handler"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1ea9f18a33af81abc7f17df05ff03743 inherit pub_methods_classalexa_client_s_d_k_1_1acl_1_1_exchange_handler"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1_exchange_handler.html#a1ea9f18a33af81abc7f17df05ff03743">~ExchangeHandler</a> ()=default</td></tr>
<tr class="separator:a1ea9f18a33af81abc7f17df05ff03743 inherit pub_methods_classalexa_client_s_d_k_1_1acl_1_1_exchange_handler"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_h_t_t_p2_mime_request_source_interface"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_h_t_t_p2_mime_request_source_interface')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_h_t_t_p2_mime_request_source_interface.html">alexaClientSDK::avsCommon::utils::http2::HTTP2MimeRequestSourceInterface</a></td></tr>
<tr class="memitem:a42d24cd62686fabd3defbe7669bbf824 inherit pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_h_t_t_p2_mime_request_source_interface"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_h_t_t_p2_mime_request_source_interface.html#a42d24cd62686fabd3defbe7669bbf824">~HTTP2MimeRequestSourceInterface</a> ()=default</td></tr>
<tr class="separator:a42d24cd62686fabd3defbe7669bbf824 inherit pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_h_t_t_p2_mime_request_source_interface"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classalexa_client_s_d_k_1_1acl_1_1_mime_response_status_handler_interface"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classalexa_client_s_d_k_1_1acl_1_1_mime_response_status_handler_interface')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classalexa_client_s_d_k_1_1acl_1_1_mime_response_status_handler_interface.html">alexaClientSDK::acl::MimeResponseStatusHandlerInterface</a></td></tr>
<tr class="memitem:ac9d58de1c7006661e7f797f1a0b71f1b inherit pub_methods_classalexa_client_s_d_k_1_1acl_1_1_mime_response_status_handler_interface"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1_mime_response_status_handler_interface.html#ac9d58de1c7006661e7f797f1a0b71f1b">~MimeResponseStatusHandlerInterface</a> ()=default</td></tr>
<tr class="separator:ac9d58de1c7006661e7f797f1a0b71f1b inherit pub_methods_classalexa_client_s_d_k_1_1acl_1_1_mime_response_status_handler_interface"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-static-methods"></a>
Static Public Member Functions</h2></td></tr>
<tr class="memitem:ac8b6d572cfcd3ef568700e28dbeb604d"><td class="memItemLeft" align="right" valign="top">static std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1acl_1_1_message_request_handler.html">MessageRequestHandler</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1_message_request_handler.html#ac8b6d572cfcd3ef568700e28dbeb604d">create</a> (std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1acl_1_1_exchange_handler_context_interface.html">ExchangeHandlerContextInterface</a> &gt; context, const std::string &amp;authToken, std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_message_request.html">avsCommon::avs::MessageRequest</a> &gt; messageRequest, std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1acl_1_1_message_consumer_interface.html">MessageConsumerInterface</a> &gt; messageConsumer, std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1attachment_1_1_attachment_manager.html">avsCommon::avs::attachment::AttachmentManager</a> &gt; attachmentManager)</td></tr>
<tr class="separator:ac8b6d572cfcd3ef568700e28dbeb604d"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="inherited"></a>
Additional Inherited Members</h2></td></tr>
<tr class="inherit_header pro_attribs_classalexa_client_s_d_k_1_1acl_1_1_exchange_handler"><td colspan="2" onclick="javascript:toggleInherit('pro_attribs_classalexa_client_s_d_k_1_1acl_1_1_exchange_handler')"><img src="closed.png" alt="-"/>&#160;Protected Attributes inherited from <a class="el" href="classalexa_client_s_d_k_1_1acl_1_1_exchange_handler.html">alexaClientSDK::acl::ExchangeHandler</a></td></tr>
<tr class="memitem:aad241aeacd02521c7ce92f803eab84e9 inherit pro_attribs_classalexa_client_s_d_k_1_1acl_1_1_exchange_handler"><td class="memItemLeft" align="right" valign="top">std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1acl_1_1_exchange_handler_context_interface.html">ExchangeHandlerContextInterface</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1_exchange_handler.html#aad241aeacd02521c7ce92f803eab84e9">m_context</a></td></tr>
<tr class="memdesc:aad241aeacd02521c7ce92f803eab84e9 inherit pro_attribs_classalexa_client_s_d_k_1_1acl_1_1_exchange_handler"><td class="mdescLeft">&#160;</td><td class="mdescRight">The <code><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1_h_t_t_p2_transport.html">HTTP2Transport</a></code> instance for which this exchange is to be performed.  <a href="classalexa_client_s_d_k_1_1acl_1_1_exchange_handler.html#aad241aeacd02521c7ce92f803eab84e9">More...</a><br /></td></tr>
<tr class="separator:aad241aeacd02521c7ce92f803eab84e9 inherit pro_attribs_classalexa_client_s_d_k_1_1acl_1_1_exchange_handler"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a662bd984238af0979c631424057aae0a inherit pro_attribs_classalexa_client_s_d_k_1_1acl_1_1_exchange_handler"><td class="memItemLeft" align="right" valign="top">const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1_exchange_handler.html#a662bd984238af0979c631424057aae0a">m_authToken</a></td></tr>
<tr class="memdesc:a662bd984238af0979c631424057aae0a inherit pro_attribs_classalexa_client_s_d_k_1_1acl_1_1_exchange_handler"><td class="mdescLeft">&#160;</td><td class="mdescRight">The auth token used to make the request.  <a href="classalexa_client_s_d_k_1_1acl_1_1_exchange_handler.html#a662bd984238af0979c631424057aae0a">More...</a><br /></td></tr>
<tr class="separator:a662bd984238af0979c631424057aae0a inherit pro_attribs_classalexa_client_s_d_k_1_1acl_1_1_exchange_handler"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a437cb6882b3c85dadc3b0ef09a4e2ba6 inherit pro_attribs_classalexa_client_s_d_k_1_1acl_1_1_exchange_handler"><td class="memItemLeft" align="right" valign="top">const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1_exchange_handler.html#a437cb6882b3c85dadc3b0ef09a4e2ba6">m_authHeader</a></td></tr>
<tr class="memdesc:a437cb6882b3c85dadc3b0ef09a4e2ba6 inherit pro_attribs_classalexa_client_s_d_k_1_1acl_1_1_exchange_handler"><td class="mdescLeft">&#160;</td><td class="mdescRight">The AVS authorization header to send in the request.  <a href="classalexa_client_s_d_k_1_1acl_1_1_exchange_handler.html#a437cb6882b3c85dadc3b0ef09a4e2ba6">More...</a><br /></td></tr>
<tr class="separator:a437cb6882b3c85dadc3b0ef09a4e2ba6 inherit pro_attribs_classalexa_client_s_d_k_1_1acl_1_1_exchange_handler"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p class="">Handle an HTTP2 request and response for a specific <code>MessageRequest</code>. </p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a2b17700f8c51fe82baeb7076e292c49c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2b17700f8c51fe82baeb7076e292c49c">&#9670;&nbsp;</a></span>~MessageRequestHandler()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::acl::MessageRequestHandler::~MessageRequestHandler </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">Destructor. </p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="ac8b6d572cfcd3ef568700e28dbeb604d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac8b6d572cfcd3ef568700e28dbeb604d">&#9670;&nbsp;</a></span>create()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1acl_1_1_message_request_handler.html">MessageRequestHandler</a> &gt; alexaClientSDK::acl::MessageRequestHandler::create </td>
          <td>(</td>
          <td class="paramtype">std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1acl_1_1_exchange_handler_context_interface.html">ExchangeHandlerContextInterface</a> &gt;&#160;</td>
          <td class="paramname"><em>context</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>authToken</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_message_request.html">avsCommon::avs::MessageRequest</a> &gt;&#160;</td>
          <td class="paramname"><em>messageRequest</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1acl_1_1_message_consumer_interface.html">MessageConsumerInterface</a> &gt;&#160;</td>
          <td class="paramname"><em>messageConsumer</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1attachment_1_1_attachment_manager.html">avsCommon::avs::attachment::AttachmentManager</a> &gt;&#160;</td>
          <td class="paramname"><em>attachmentManager</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">Create a <a class="el" href="classalexa_client_s_d_k_1_1acl_1_1_message_request_handler.html">MessageRequestHandler</a> and send the message request.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">context</td><td>The ExchangeContext in which this MessageRequest handler will operate. </td></tr>
    <tr><td class="paramname">authToken</td><td>The token to use to authorize the request. </td></tr>
    <tr><td class="paramname">messageRequest</td><td>The MessageRequest to send. </td></tr>
    <tr><td class="paramname">messageConsumer</td><td>Where to send messages. </td></tr>
    <tr><td class="paramname">attachmentManager</td><td>Where to get attachments to write to. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>A new <a class="el" href="classalexa_client_s_d_k_1_1acl_1_1_message_request_handler.html">MessageRequestHandler</a> or nullptr if the operation fails. </dd></dl>

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li>/workplace/avs-device-sdk/ACL/include/ACL/Transport/<a class="el" href="_message_request_handler_8h_source.html">MessageRequestHandler.h</a></li>
<li>/workplace/avs-device-sdk/ACL/src/Transport/<a class="el" href="_message_request_handler_8cpp.html">MessageRequestHandler.cpp</a></li>
</ul>
</div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
